Subject: bug#26051: 25.1; overlays may make emacs very slow

From: [email-masked]
Date: Sat, 11 Mar 2017 13:22:48 +0900

Eli Zaretskii <[email-masked]> writes:
> The overlays is not the main problem here, the main problem is that
> your buffer is made of digits, which are neutral characters for the
> bidirectional display, so it needs to work much harder.  Compare with
> this:
>
>   (let ((n 65536))
>     (save-excursion (dotimes (i n) (insert (format "a%d\n" i))))
>     (dotimes (i n) (make-overlay (point) (progn (forward-line) (point))))
>     (message "Done."))
>
> I see no bugs here, just known issues/limitations of the current
> display engine.

I want the buffer to be unchanged.
And I don't know what characters are neutral.

The form above take a few seconds.
I tried some characters instead of 'a'. Each of them take long time.
  "@%d\n"
  "?%d\n"
  "\u00E1%d\n" ;; LATIN SMALL LETTER A WITH ACUTE
  "\u3042%d\n" ;; HIRAGANA LETTER A
  "\u4E00%d\n" ;; CJK IDEOGRAPH-4E00
  "\uFF41%d\n" ;; FULLWIDTH LATIN SMALL LETTER A